petsc-3.4.2 2013-07-02

# SNESNEWTONTR

Newton based nonlinear solver that uses a trust region

### Options Database

| -snes_trtol <tol> Trust region tolerance | - . -snes_tr_mu <mu>
| -snes_tr_eta <eta> | - . -snes_tr_sigma <sigma>
| -snes_tr_delta0 <delta0> | - . -snes_tr_delta1 <delta1>
| -snes_tr_delta2 <delta2> | - - -snes_tr_delta3 <delta3>

The basic algorithm is taken from "The Minpack Project", by More', Sorensen, Garbow, Hillstrom, pages 88-111 of "Sources and Development of Mathematical Software", Wayne Cowell, editor.

This is intended as a model implementation, since it does not necessarily have many of the bells and whistles of other implementations.

### See Also

SNESCreate(), SNES, SNESSetType(), SNESNEWTONLS, SNESSetTrustRegionTolerance()

Level:intermediate
Location:src/snes/impls/tr/tr.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages